Package org.eclipse.ui.texteditor

# Class GotoAnnotationAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.texteditor.ResourceAction
org.eclipse.ui.texteditor.TextEditorAction
org.eclipse.ui.texteditor.GotoAnnotationAction

All Implemented Interfaces:
  `IAction`, `IUpdate`

public class GotoAnnotationAction extends TextEditorAction
Action for jumping to a particular annotation in the editor's text viewer.

This action only runs if `getTextEditor()` implements `ITextEditorExtension4`.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`GotoAnnotationAction(ResourceBundle bundle, String prefix, ITextEditor editor, boolean forward)`
Creates a new action for the given text editor.
`GotoAnnotationAction(ITextEditor editor, boolean forward)`
Creates a new action for the given text editor.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The default implementation of this `IAction` method does nothing.
`void`
`setEditor(ITextEditor editor)`
Retargets this action to the given editor.
`void`
`update()`
Always enables this action if it is connected to a text editor.

### Methods inherited from class org.eclipse.ui.texteditor.TextEditorAction

`canModifyEditor, getTextEditor, validateEditorInputState`

### Methods inherited from class org.eclipse.ui.texteditor.ResourceAction

`getString, initialize, setHelpContextId`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GotoAnnotationAction

public GotoAnnotationAction(ResourceBundle bundle, String prefix, ITextEditor editor, boolean forward)
Creates a new action for the given text editor. The action configures its visual representation from the given resource bundle.

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
  `editor` - the text editor
  `forward` - `true` to go to next and `false` to go to previous annotation
See Also:
  - `TextEditorAction(ResourceBundle, String, ITextEditor)`

### GotoAnnotationAction

public GotoAnnotationAction(ITextEditor editor, boolean forward)
Creates a new action for the given text editor. The action configures its visual representation from the given resource bundle.

Parameters:
  `editor` - the text editor
  `forward` - `true` to go to next and `false` to go to previous annotation
See Also:
  - `TextEditorAction(ResourceBundle, String, ITextEditor)`

## Method Details

### run

public void run()
Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - `How radio buttons are handled`
  - `How check boxes are handled`

### setEditor

public void setEditor(ITextEditor editor)
Description copied from class: `TextEditorAction`
Retargets this action to the given editor.

Overrides:
  `setEditor` in class `TextEditorAction`
Parameters:
  `editor` - the new editor, or `null` if none

### update

public void update()
Description copied from class: `TextEditorAction`
Always enables this action if it is connected to a text editor. If the associated editor is `null`, the action is disabled. Subclasses may override.

Specified by:
  `update` in interface `IUpdate`
Overrides:
  `update` in class `TextEditorAction`